## borgbackup2 2.0.0b19.post2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and an HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/borg.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/borg.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/borg"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/borg"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
borgbackup2 (2.0.0b19.post2-2) unstable; urgency=medium

  * Import back 2.0.0b19 as quilt patch, the post2 is not published
    on pypi

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Nov 2025 09:30:04 +0100

borgbackup2 (2.0.0b19.post2-1) unstable; urgency=medium

  * Set maintainer back to borg collective, as per
    Thorsten/Helmut request.
    Please come back eventually and help again
    in maintainership :)
  * Update gbp.conf
  * New upstream version 2.0.0b19.post2
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Nov 2025 16:19:55 +0100

borgbackup (1.4.2-2) unstable; urgency=medium

  * Import the pypi tarball as quilt patch, fixing ftbfs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Nov 2025 09:25:59 +0100

borgbackup (1.4.2-1) unstable; urgency=medium

  * Merge changes of 1.4.1-3~exp1 after trixie release
  * New upstream release 1.4.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Nov 2025 16:02:46 +0100

borgbackup (1.4.1-3~exp1) experimental; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * Update debian/NEWS: Upstream introduced less alarming and easier to
    follow migration instructions in 1.2.8, and this is their officially
    supported procedure.

  [ Lee Garrett ]
  * d/watch: Limit uscan to the 1.x releases. Borgbackup2 is a separate
    package, as such we shouldn't track the >= 2.x releases here.
  * Switch packaging repo to DEP-14 layout.
  * Add myself to Uploaders.
  * Add missing end of sentence punctuation in the long description.
  * Add unit tests to autopkgtests.

  [ Nicholas D Steeves ]
  * Additionally enable autopkgtest-pkg-python (see Debian Python Team for why
    one should use both).

 -- Nicholas D Steeves <sten@debian.org>  Wed, 18 Jun 2025 17:50:54 -0400

=== debian/control ===
Source: borgbackup2
Section: admin
Priority: optional
Maintainer: Debian Borg Collective <team+borg@tracker.debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>,
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               fakeroot,
               libacl1-dev,
               libb2-dev,
               libjs-bootstrap,
               liblz4-dev,
               libxxhash-dev,
               libssl-dev,
               libzstd-dev,
               python3-dev,
               python3-argon2,
               python3-borghash (>= 0.1.0-1~),
               python3-borgstore (>= 0.3.0-1~),
               python3-packaging,
               python3-guzzle-sphinx-theme,
               python3-sphinxcontrib.jquery,
               python3-dateutil <!nocheck>,
               python3-llfuse [!hurd-any],
               python3-msgpack (>= 1.0.3),
               python3-pkgconfig,
               python3-platformdirs (>= 2.6),
               python3-pyfuse3 [!hurd-any],
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://borgbackup.github.io/borgbackup/
Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git
Vcs-Browser: https://salsa.debian.org/debian/borgbackup2
Testsuite: autopkgtest-pkg-python
# functional unit tests have been configured in debian/tests/unit

Package: borgbackup2
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-borghash (>= 0.1.0-1~),
         python3-borgstore (>= 0.3.0-1~),
         ${shlibs:Depends}
Recommends: fuse3, python3-pyfuse3 [!hurd-any]
Suggests: borgbackup2-doc
Description: deduplicating and compressing backup program (version 2.x)
 Borg is a deduplicating and compressing backup program. Optionally, it
 also supports authenticated encryption. It was forked from the attic
 backup program.
 .
 The main goal of Borg is to provide an efficient and secure way to
 backup data. The data deduplication technique used makes Borg suitable
 for daily backups since only the changes are stored. The authenticated
 encryption makes it suitable for backups to not fully trusted targets.
 .
 It can push backups to remote repositories accessed via ssh. A client
 pushing a backup invokes "borg serve" on the repository host. It is
 possible to restrict the ssh key to "borg serve" using the
 authorized_keys command= clause.
 .
 Please note that the server and the client should be on the same
 version of borgbackup. Using different versions of borgbackup on
 client and server might result in 'incompatible API version' error
 messages and a non-working backup. Borg 2.x can only read from Borg 1.x
 repositories.
 .
 While there is no direct operations mode for pull-type backups, you
 can configure the backup target in append-only mode, preventing the
 backup source from deleting or altering previous backups.
 .
 Warning: This still is a beta that may break compatibility with the
 final 2.0 release.

Package: borgbackup-is-borgbackup2
Architecture: any
Depends: ${misc:Depends}, borgbackup2 (= ${binary:Version})
Conflicts: borgbackup
Description: deduplicating and compressing backup program (unversioned symlink)
 This package makes the borg command refer to version 2.x of borgbackup.
 If you prefer version 1.x, please install borgbackup instead.
 .
 Refer to the package descriptions of borgbackup and borgbackup2 for more
 information about what borg is.
 .
 Warning: This still is a beta that may break compatibility with the
 final 2.0 release.

Package: borgbackup2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         fonts-liberation,
         libjs-bootstrap,
         libjs-mathjax,
Description: deduplicating and compressing backup program (documentation for version 2.x)
 Borg is a deduplicating and compressing backup program. Optionally, it
 also supports authenticated encryption. It was forked from the attic
 backup program.
 .
 The main goal of Borg is to provide an efficient and secure way to
 backup data. The data deduplication technique used makes Borg suitable
 for daily backups since only the changes are stored. The authenticated
 encryption makes it suitable for backups to not fully trusted targets.
 .
 It can push backups to remote repositories accessed via ssh. A client
 pushing a backup invokes "borg serve" on the repository host. It is
 possible to restrict the ssh key to "borg serve" using the
 authorized_keys command= clause.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


# Do not install the borg package into the usual Python path:
#  * Upstream does not consider its API stable.
#  * We want to coinstall multiple versions of borg.
VERSION_SUFFIX=2
MODULE_DIR=/usr/lib/borgbackup$(VERSION_SUFFIX)
PACKAGE=borgbackup$(VERSION_SUFFIX)
SYMLINK_PACKAGE=borgbackup-is-borgbackup$(VERSION_SUFFIX)

# Full hardening for the cython build.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# pybuild: use pytest instead of auto-detection
#
# The autodetection failed on jessie, resulting in a failed
# build, since unittest does not support pytest's command
# line switches
export PYBUILD_TEST_PYTEST=1

# To display coverage information, add the following
# switches to PYBUILD_TEST_ARGS (Upstream does this)
#
# Note that this currently breaks unittests on jessie,
# because borg will trip over the unexpected coverage
# files.  Since this failure does not occur in stretch,
# this is likely due to an outdated version in jessie.
#
# --cov=borg --cov-config=../.coveragerc

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure -- --install-dir=$(MODULE_DIR)

execute_after_dh_auto_build:
	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 scripts/make.py build_usage
	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 scripts/make.py build_man

execute_before_dh_installdocs-indep:
	$(MAKE) -C docs html

execute_before_dh_installman-arch:
	$(MAKE) -C docs man

# We run most of the tests in fakeroot to increase test coverage, but fakeroot
# introduces race conditions on its own.
TESTS_NO_FAKEROOT = benchmark_test.py cache_test.py checks_test.py key_test.py fslocking_test.py patterns_test.py remote_test.py repository_test.py shellpattern_test.py
override_dh_auto_test: export TZ=UTC # tests break in TZ=GMT+12, see https://github.com/borgbackup/borg/issues/5535
override_dh_auto_test: export LC_ALL=C.UTF-8
override_dh_auto_test:
	# fakeroot introduces race conditions to e.g. locking tests.
	dh_auto_test -- --test-args "--pyargs borg.testsuite -k '$(subst $(eval) $(eval), or ,$(TESTS_NO_FAKEROOT))'"
	# We cannot rely on the buildds allowing fuse to be
	# used, so we disable the fuse-mount tests.
	fakeroot dh_auto_test -- --test-args "--pyargs borg.testsuite -k 'not fuse_mount and not test_fuse and not test_migrate_lock_alive and not test_with_socket and not test_socket_permissions $(foreach t,$(TESTS_NO_FAKEROOT),and not $(t))'"

execute_after_dh_install-arch:
	# Add the private module directory to sys.path in borg executables
	set -e; for f in debian/$(PACKAGE)/usr/bin/*; do \
		sed -i -e '5asys.path.insert(0, "$(MODULE_DIR)")' "$$f"; \
	done
ifneq (,$(VERSION_SUFFIX))
	# Rename executables using VERSION_SUFFIX, but create symlinked
	# versions for the borgbackup-is-borgbackup2 package
	set -e; for f in debian/$(PACKAGE)/usr/bin/*; do \
		mv "$$f" "$${f}$(VERSION_SUFFIX)"; \
		ln -s "$${f##*/}$(VERSION_SUFFIX)" "debian/$(SYMLINK_PACKAGE)$${f#debian/$(PACKAGE)}"; \
	done
	mv 'debian/$(PACKAGE)/usr/share/bash-completion/completions/borg' 'debian/$(PACKAGE)/usr/share/bash-completion/completions/borg$(VERSION_SUFFIX)'

execute_after_dh_installman-arch:
	# Fix manpage names to match executables
	set -e; for f in debian/$(PACKAGE)/usr/share/man/man1/*.1; do \
		v=$$(echo "$$f" | sed 's,^\(.*/[a-z]*\),&$(VERSION_SUFFIX),'); \
		mv "$$f" "$$v"; \
		ln -s "$${v##*/}.gz" "debian/$(SYMLINK_PACKAGE)$${f#debian/$(PACKAGE)}.gz"; \
	done
endif

override_dh_installdocs-arch:
	dh_installdocs --link-doc=borgbackup2

# Do not compress .ico file (affects html documentation)
override_dh_compress:
	dh_compress -X.ico -Xfonts

## borgbackup2 2.0.0b20

=== debian/changelog ===
borgbackup2 (2.0.0b20-2) unstable; urgency=medium

  * Fixup watch file to track version 2 of the package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Dec 2025 02:42:06 +0100

borgbackup2 (2.0.0b20-1) unstable; urgency=medium

  * New upstream version 2.0.0b20
  * Merge changelog with borgbackup 1.4.3-1 and 1.4.3-2
  * Update copyright file, some files were removed upstream
  * Fix watch file
  * Drop pypi patch, useless now
  * Reapply "Refresh patches"
  * Fixup clean file
  * Add shtab new dependency
  * Add python3-textual new dependency
  * Add new mfusepy dependency, commented out for now (unavailable on Debian)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Dec 2025 09:08:46 +0100

borgbackup2 (2.0.0b19.post2-3) unstable; urgency=medium

  * Drop llfuse dependency, python-llfuse is deprecated and RC buggy

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Nov 2025 12:54:34 +0100

borgbackup (1.4.3-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * autopkgtest: remove Depends: python-llfuse (since it uses fuse2)

  [ Lee Garrett ]
  * Add borgbackup-doc lintian overrides
  * Remove symlink in borgbackup-doc
  * Skip build tests when running with DEB_BUILD_OPTIONS=nocheck.
  * d/t/unit: Silence irrelevant error message
  * Fix unit test failure (Closes: #1122642)
  * d/gbp.conf: Don't enforce export-dir on packagers (use ~/.gbp.conf for this)
  * d/gbp.conf: Don't enforce lintian (use ~/.gbp.conf or ~/.sbuildrc for this)
  * d/watch: Make pattern matching slightly more strict and readable
  * d/control: Add Built-Using stanza as required by Debian policy §7.8
  * d/watch: Switch to github to find upstream signatures

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 21 Dec 2025 22:35:39 +0100

borgbackup (1.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Dec 2025 11:26:29 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-guzzle-sphinx-theme,
                python3-sphinxcontrib.jquery,
                python3-dateutil <!nocheck>,
-               python3-llfuse [!hurd-any],
+#               python3-mfusepy,
                python3-msgpack (>= 1.0.3),
                python3-pkgconfig,
                python3-platformdirs (>= 2.6),
@@ -33,7 +33,9 @@
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
+               python3-shtab,
                python3-sphinx,
+               python3-textual,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
@@ -102,6 +104,8 @@
          fonts-liberation,
          libjs-bootstrap,
          libjs-mathjax,
+Built-Using:
+  ${sphinxdoc:Built-Using},
 Description: deduplicating and compressing backup program (documentation for version 2.x)
  Borg is a deduplicating and compressing backup program. Optionally, it
  also supports authenticated encryption. It was forked from the attic

=== debian/rules ===
--- 
+++ 
@@ -53,11 +53,15 @@
 override_dh_auto_test: export TZ=UTC # tests break in TZ=GMT+12, see https://github.com/borgbackup/borg/issues/5535
 override_dh_auto_test: export LC_ALL=C.UTF-8
 override_dh_auto_test:
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# fakeroot introduces race conditions to e.g. locking tests.
 	dh_auto_test -- --test-args "--pyargs borg.testsuite -k '$(subst $(eval) $(eval), or ,$(TESTS_NO_FAKEROOT))'"
 	# We cannot rely on the buildds allowing fuse to be
 	# used, so we disable the fuse-mount tests.
 	fakeroot dh_auto_test -- --test-args "--pyargs borg.testsuite -k 'not fuse_mount and not test_fuse and not test_migrate_lock_alive and not test_with_socket and not test_socket_permissions $(foreach t,$(TESTS_NO_FAKEROOT),and not $(t))'"
+else
+	@echo "Skipping tests due to DEB_BUILD_OPTIONS=nocheck."
+endif
 
 execute_after_dh_install-arch:
 	# Add the private module directory to sys.path in borg executables

=== debian/tests/control ===
Tests: unit
Depends:
  @,
  coreutils,
  e2fsprogs,
  fakeroot,
  fuse3,
  python3-pyfuse3,
  python3-pytest,
  python3-pytest-benchmark,
  python3-pytest-cov,
  python3-pytest-xdist,
  xattr,
Restrictions:
  allow-stderr,
  isolation-machine,
  needs-sudo

Tests: unit-nofuse
Depends:
  @,
  coreutils,
  e2fsprogs,
  fakeroot,
  python3-pytest,
  python3-pytest-benchmark,
  python3-pytest-cov,
  python3-pytest-xdist,
  xattr,
Restrictions:
  allow-stderr,
  needs-sudo

Tests: simplesession
Depends: @, @recommends@
Restrictions: isolation-machine, allow-stderr

Tests: simplesession-nofuse
Depends: @
Restrictions: allow-stderr
